import sys
import numpy as np
import matplotlib.pyplot as plt

data = np.loadtxt('latency-michele-in-us.txt')

# check that this is a good/valid idea
data = data[data < 180]
data = data[data > 164]

plt.rc('font', **dict(family='serif'))

plt.figure(figsize=(10, 4))

plt.hist(data, bins=200, normed=True)

plt.xlabel(u'Latency in \u00b5s')
plt.ylabel('Frequency')
plt.savefig('latency-michele.pdf', dpi=300, bbox_inches='tight')
