import numpy as np
import matplotlib.pyplot as plt

gpu_data = np.loadtxt('throughput.gpu')
cpu_data = np.loadtxt('throughput.cpu')

plt.rc('font', **dict(family='serif'))

plt.figure(figsize=(10, 4))

plt.semilogx(gpu_data[:,0], gpu_data[:,1], '*-', label='GPU')
plt.semilogx(cpu_data[:,0], cpu_data[:,1], 'o-', label='CPU')

plt.xlabel(u'Data size in B')
plt.ylabel('Throughput in MB/s')
plt.legend(loc='lower right')
plt.savefig('throughput.pdf', dpi=300, bbox_inches='tight')
